Developers
API ReferenceProject File Category

Move selected files from one category to another.

POST
/project/projects/{id}/move-selected-files

Move selected files from one category to another.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ProjectFileMove identifier

Request Body

The new ProjectFileMove resource

  1. body
categoryFrom*string
Formatuuid
categoryTo*string
Formatuuid
projectFiles?array<>

Ids of files to move, in move-all operation this is ignored.

Response Body

ProjectFileMove resource created

Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/projects/string/move-selected-files' \  -H 'Content-Type: application/json' \  -d '{  "categoryFrom": "02adc2b6-dbf1-4124-a44f-95d63209e738",  "categoryTo": "dca0daff-6f81-400f-abbc-d8eb9808bf00"}'
Example Response
Empty